<script>
	let baseHost = "http://localhost:8080";
	let basePath = "atlantis";
	let baseUrl = baseHost + "/" + basePath;

	let promise = getDiagrams();

	async function getDiagrams(event) {
		let url = baseUrl + "/items/diagrams";
		console.log(url);

		// call the diagrams endpoint
		const response = await fetch(url, { credentials: "include" });
		console.log(response);
		const body = await response.json();
		console.log(body);

		if (response.ok) {
			console.log(body.data);
			console.log("number of diagrams: " + body.data.length);
			// console.log(document.getElementById("editor").innerHTML);
			console.log(editor.value)
			return body.data;
		} else {
			if (body.error) {
				if (body.error.code == 3) {
					return "Please log in.";
				} else {
					return body.error;
				}
			} else {
				throw new Error("An error occurred.");
			}
		}
	}
</script>

{#await promise}
	<p>...waiting</p>
{:then diagrams}
	<ul>
		{#each diagrams as diagram}
		<li>
			<a target="_blank" href="#{diagram.id}">{diagram.name}</a>
		</li>
		{/each}
	</ul>
{:catch error}
	<p style="color: red">Problem occurred fetching diagrams: {error.message}</p>
{/await}
